LFR-FSW - Feature #870

R3++: Adaptations SSS4.3 et ICD4.3
30/12/2016 11:39 AM - Veronique bouzid

Status: Closed Start date: 30/12/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Le travail laissé par Gérald s'appuyait sur les versions suivantes des documents de la R3+

-ICD 4.1

-S8SS 4.1

Pour la R3++, les documents de références sont

-ICD 4.3

-S8SS 4.3

Voici donc les évolutions a prendre en compte et a répercuter sur la SRS, la SVS et le soft de vol.

SS

non traité par Gérald
SSS-CP-EQS-526  a mean of the last 16 values of the electric field components sampled at {3

A modifier / a ce que Gérald a laissé

SSS-CP-EQS-750 16 S/C reaction wheel emission frequencies (in 4.1 = 8) + nouveau calcul du filtrage tenant compte des kxy
factor coefficients

SSS-CP-EQS-751 16 S/C reaction wheel emission frequencies (in 4.1 = 8) dans TC_LFR_UPDATE_INFO packet
SSS-CP-EQS-752 16 S/C reaction wheel emission frequencies (in 4.1 = 8)

SSS-CP-EQS-753 SY_LFR_SC_RW_DELTA_F (default value 0.045) and kxy factor coefficients

SSS-CP-EQS-754 masques doivent tenir compte des kxy factor coeffcients

A créer
SSS-CP-EQS-755

Concernant les modifs de I'lCD:

Version 4.2

TC_LFR_LOAD_NORMAL_PAR

SY_LFR_N_SWF_P (default value changed 300s au lieu de 2048)
TC_LFR_LOAD_FILTER_PAR

--> ajout des unités (rien pour nous)

TM_LFR_HK changé

--> nouvelle description du champ HK_LFR_SC_POTENTIAL_FLAG (??? pas trouvé)

Version 4.3

ATTENTION la TC_LFR_LOAD_FILTER_PAR a été modifiée mais n est
pas indiquée dans le changelog de | ICD. Bruno a ouvert un JIRA.
TC_LFR_LOAD_FILTER_PAR

ATTENTION la longueur de cette TC a changé elle vaut 92

--> ajout des champs SY_LFR_RW[1-4]_K[1-4]

TC_LFR_UPDATE_INFO
--> ajout des champs CP_RPW_SC_RWT[1-4]_F[3-4]
--> suppression des champs CP_RPW_SC_RW][1-4] F[1-2]_FLAG

TM_LFR_HK
--> suppression du champ HK_LFR_AHB_UNCORRECTABLE
Paul, cela impacte le calcul du compteur d'erreurs Medium Severity

--> ajout des champs de type HK_LFR_SC_RW][1-4] _F[3-4]
Paul ces flags ne sont plus recopiés de la TC_LFR_UPDATE_INFO mais calculés
TM_LFR_PARAMETER_DUMP

ATTENTION la longueur de cette TM a changé elle vaut 212

--> ajout des champs SY_LFR_PAS_FILTER_ENABLED_D SY_LFR_PAS_FILTER_MODULUS
SY_LFR_PAS_FILTER _TBAD SY_LFR_PAS_FILTER_OFFSET SY_LFR_PAS_FILTER_SHIFT
SY_LFR_RW_DELTA_F

--> ajout des champs SY_LFR_RW[1-4]_K[1-4]

--> ajout des champs PA_LFR_RW_MASK_F[0-2]_WORDJ[1-4]

History

#1 - 20/03/2017 08:40 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Il me semble que les validations des adaptations SSS et ICD R3++ on bien avancé.
Y a-t-il des mises a jour a faire sur ce point de ma part?

#2 - 22/03/2017 02:50 PM - bruno katra
- Category changed from R3++ to SRS

#3 - 22/06/2018 05:19 PM - bruno katra

- Status changed from New to Closed

DP R3++ updated livré : on cloture
